%define		plugin	check_varnish
Summary:	Nagios plugin to monitor Varnish instances
Name:		nagios-plugin-%{plugin}
Version:	1.1
Release:	1
License:	BSD
Group:		Networking
Source0:	http://repo.varnish-cache.org/source/varnish-nagios-%{version}.tar.gz
# Source0-md5:	d9a5477f9143187ffe6314ddecb03015
Source1:	%{plugin}.cfg
URL:		http://www.varnish-cache.org/
BuildRequires:	pkgconfig
BuildRequires:	varnish-devel
Requires:	nagios-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to check Varnish.

%prep
%setup -qn varnish-nagios-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Sun Jan 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_varnish.git;a=log;h=master

* Sun Jan 26 2014 Elan Ruusamäe <glen@delfi.ee> f1ca178
- move nagios config to separate file

* Sun Jan 26 2014 Elan Ruusamäe <glen@delfi.ee> a207a70
- up to 1.1

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> efa8a8e
- BR: pkgconfig
- disable g++ detection

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> cccd540
- require nagios-common instead of core; rel 2

* Mon Oct 05 2009 Elan Ruusamäe <glen@pld-linux.org> d7cb3a8
- release 1

* Mon Oct 05 2009 Elan Ruusamäe <glen@pld-linux.org> 023c403
- new

